# WebhookRepresentationCamelDict<!-- -->

Minimal representation of an ad-hoc webhook attached to a single Actor run or build via the `webhooks` query parameter. The query parameter value is a Base64-encoded JSON array whose items match this schema. Persistent webhook fields (e.g. `condition`) are not used here.

## Index[**](#Index)

### Properties

* [**eventTypes](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationCamelDict.md#eventTypes)
* [**headersTemplate](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationCamelDict.md#headersTemplate)
* [**payloadTemplate](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationCamelDict.md#payloadTemplate)
* [**requestUrl](https://docs.apify.com/api/client/python/api/client/python/reference/class/WebhookRepresentationCamelDict.md#requestUrl)

## Properties<!-- -->[**](#Properties)

### [**](#eventTypes)eventTypes

**eventTypes: [list](https://docs.apify.com/api/client/python/api/client/python/reference/class/ActorEnvVarCollectionClient.md#list)\[Literal\[ACTOR.BUILD.ABORTED, ACTOR.BUILD.CREATED, ACTOR.BUILD.FAILED, ACTOR.BUILD.SUCCEEDED, ACTOR.BUILD.TIMED\_OUT, ACTOR.RUN.ABORTED, ACTOR.RUN.CREATED, ACTOR.RUN.FAILED, ACTOR.RUN.RESURRECTED, ACTOR.RUN.SUCCEEDED, ACTOR.RUN.TIMED\_OUT, TEST]]

### [**](#headersTemplate)headersTemplate

**headersTemplate: NotRequired\[str | None]

Optional template for the HTTP headers sent by the webhook.

### [**](#payloadTemplate)payloadTemplate

**payloadTemplate: NotRequired\[str | None]

Optional template for the JSON payload sent by the webhook.

### [**](#requestUrl)requestUrl

**requestUrl: str

The URL to which the webhook sends its payload.
